SigarLoader (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class SigarLoader

    java.lang.Object
      org.hyperic.jni.ArchLoader
          org.hyperic.sigar.SigarLoader

    public class SigarLoader

extends org.hyperic.jni.ArchLoader

Field Summary
`static java.lang.String` | `PROP_SIGAR_JAR_NAME`

Fields inherited from class org.hyperic.jni.ArchLoader
`IS_AIX, IS_DARWIN, IS_FREEBSD, IS_HPUX, IS_LINUX, IS_NETWARE, IS_OSF1, IS_SOLARIS, IS_WIN32`

Constructor Summary
`SigarLoader(java.lang.Class loaderClass)`

Method Summary
`java.lang.String` | `getArchLibName()`
`java.lang.String` | `getDefaultLibName()`
`java.lang.String` | `getJarName()`
`static java.lang.String` | `getLocation()` Returns the path where sigar.jar is located.
`static java.lang.String` | `getNativeLibraryName()` Returns the name of the native sigar library.
`static java.lang.String` | `getSigarJarName()`
`static void` | `setSigarJarName(java.lang.String jarName)`
`protected void` | `systemLoad(java.lang.String name)`
`protected void` | `systemLoadLibrary(java.lang.String name)`

Methods inherited from class org.hyperic.jni.ArchLoader
`containsNativeLibrary, findInJavaLibraryPath, findJarPath, findNativeLibrary, getClassLoader, getLibName, getLibraryExtension, getLibraryName, getLibraryPrefix, getLoaderClass, getName, getNativeLibrary, getPackageName, getResourcePath, getVersionedLibraryName, load, load, loadLibrary, setJarName, setLibName, setLoaderClass, setName, setPackageName, setResourcePath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SIGAR_JAR_NAME

    public static final java.lang.String PROP_SIGAR_JAR_NAME

See Also:
  Constant Field Values

Constructor Detail

### SigarLoader

    public SigarLoader(java.lang.Class loaderClass)

Method Detail

### getArchLibName

    public java.lang.String getArchLibName()
                                    throws org.hyperic.jni.ArchNotSupportedException

  Overrides:
    `getArchLibName` in class `org.hyperic.jni.ArchLoader`
  Throws:
    `org.hyperic.jni.ArchNotSupportedException`

### getDefaultLibName

    public java.lang.String getDefaultLibName()
                                       throws org.hyperic.jni.ArchNotSupportedException

  Overrides:
    `getDefaultLibName` in class `org.hyperic.jni.ArchLoader`
  Throws:
    `org.hyperic.jni.ArchNotSupportedException`

### systemLoadLibrary

    protected void systemLoadLibrary(java.lang.String name)

  Overrides:
    `systemLoadLibrary` in class `org.hyperic.jni.ArchLoader`

### systemLoad

    protected void systemLoad(java.lang.String name)

  Overrides:
    `systemLoad` in class `org.hyperic.jni.ArchLoader`

### getJarName

    public java.lang.String getJarName()

  Overrides:
    `getJarName` in class `org.hyperic.jni.ArchLoader`

### setSigarJarName

    public static void setSigarJarName(java.lang.String jarName)

### getSigarJarName

    public static java.lang.String getSigarJarName()

### getLocation

    public static java.lang.String getLocation()

  Returns the path where sigar.jar is located.

### getNativeLibraryName

    public static java.lang.String getNativeLibraryName()

  Returns the name of the native sigar library.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.